.tlk-popup *,
.tlk-popup *::before,
.tlk-popup *::after {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

#edit-profile [data-field='tlk-text'],
#change-password [data-field='tlk-text'] {
	font-size: 1rem;
}

.tlk-popup {
	position: fixed;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	width: 100%;
	margin: 0;
	background-color: rgba(0, 0, 0, 0.8);
	overflow-y: scroll;
	z-index: 99999;
}

.tlk-popup__container {
	position: relative;
	max-width: 410px;
	margin: 50px auto;
	padding: 45px 35px 40px;
	border-radius: 3px;
	background-color: var(--box-background-color, #ffffff);
	border-radius: var(--box-radius, 12px);
}

.tlk-popup__close {
	position: absolute;
	right: 15px;
	top: 15px;
	width: 23px;
	height: 23px;
	-webkit-transition: opacity 0.2s ease-in-out;
	-o-transition: opacity 0.2s ease-in-out;
	transition: opacity 0.2s ease-in-out;
}

.tlk-popup__close::before,
.tlk-popup__close::after {
	content: '';
	position: absolute;
	top: 50%;
	left: 0;
	width: 100%;
	height: 1px;
	margin-top: -1px;
	background-color: #e7e7e7;
}

.tlk-popup__close::before {
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

.tlk-popup__close::after {
	-webkit-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.tlk-popup__title {
	margin-bottom: 30px;
	font-size: 1.125rem;
	font-weight: 700;
	text-align: center;
}

.tlk-popup__form-wrap {
	padding-bottom: 15px;
}

.tlk-popup__item {
	position: relative;
	width: 100%;
}

.tlk-popup__item + .tlk-popup__item {
	margin-top: 24px;
}

.tlk-popup__logo-upload {
	display: inline-block;
	margin-top: 7px;
	padding: 10px 15px;
	color: #fff;
	background: #222;
	border-radius: 3px;
	font-size: 13px;
	text-align: center;
}

.tlk-popup__change-password {
	font-size: 0.875rem;
}

.tlk-popup__buttons {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	margin-top: 16px;
}

.tlk-popup__buttons button {
	position: relative;
	width: auto;
	padding: 10px 30px;
}

.tlk-popup__button.tlk-btn_white,
.tlk-popup__button.tlk-btn_white:hover {
	border: 1px solid #333;
}

.tlk-popup__button + .tlk-popup__button {
	margin-left: 10px;
}

.tlk-popup__warning-icon {
	margin-left: 6px;
}

.tlk-popup_homework .tlk-popup__container {
	position: static;
	max-width: 1160px;
	width: 100%;
	padding: 0px;
}

.tlk-popup_homework .tlk-popup__close {
	top: 15px;
	right: 30px;
	width: 26px;
	height: 26px;
}

.tlk-popup_homework .tlk-popup__close::after,
.tlk-popup_homework .tlk-popup__close::before {
	height: 2px;
	background-color: #fff;
}

/* Попап email */
.tlk-popup_check-email .tlk-popup__container {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	max-width: 420px;
	padding: 43px 36px;
	margin: 0;
}

.tlk-popup_check-email .tlk-popup_check-email__text {
	font-size: 16px;
	margin-bottom: 30px;
	text-align: center;
}
